Page MenuHomePhabricator

[WMDE-Fundraising] Add Tracking information in separate entity
Closed, DeclinedPublic

Description

The Inquiry and Donation models should be extended with a relationship to a Tracking entity.

The Tracking entity for donations should have the following fields:

  • impCount
  • bImpCount

The Tracking entity for memberships should have the following fields:

  • confirmationPageCampaign
  • confirmationPage

Maybe the wikiLogin field could also be migrated there (in a backwards-compatible way).

At the moment all these values are lumped in the data field of Membership and Donation.

See https://github.com/wmde/FundraisingStore/issues/36 for ideas on backwards- and forwards-compatibility.

This is a cross-cutting concern for the use-cases T123044, T123043 and T123040.

Event Timeline

gabriel-wmde raised the priority of this task from to Needs Triage.
gabriel-wmde updated the task description. (Show Details)
gabriel-wmde added a subscriber: gabriel-wmde.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 14 2016, 3:04 PM
gabriel-wmde set Security to None.Jan 14 2016, 3:05 PM
gabriel-wmde added subscribers: kai.nissen, JeroenDeDauw.

Inquiry == Membership?

JeroenDeDauw: Yes, during the refactoring of the Fundraising store, before
Memberships and Subscriptions had their own entity, they were called
"Inquiry".

Lea_WMDE moved this task from Incoming to WMDE Fundraising on the TCB-Team board.May 11 2016, 12:21 PM

This is on "new stuff". Is it still a thing though, or can this be closed?

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptSep 6 2018, 3:19 PM
gabriel-wmde closed this task as Declined.Sep 6 2018, 3:28 PM

Some of the data mentioned in this ticket (like wikilogin and confirmation page ) are not relevant/needed anymore because they are superseded by T172119: Track which UI version is used or have not been used for several years.

The actual data that is needed for storing tracking in the database will be determined in the modeling session for T203679: Refactor fundraising database schema.